Subject: Re: CAP: Consensus?: Who Sent The Counter?

From: "John Stracke" <[email-masked]>
Date: Thu, 21 Feb 2002 13:49:47 -0500

>PAT - BOB - Per 2445, We just register a new 2445 property
>this way - correct? Or does it have to also be an accepted draft?

If you want to update the iTIP protocol, you probably need a new RFC that 
updates the iTIP RFC.

In any case, it's purely an iTIP thing, so it's independent of CAP; it can 
run on a separate track.

/================================================================\
|John Stracke                    |Principal Engineer             |
[email-masked]   |Incentive Systems, Inc.        |
|http://www.incentivesystems.com |My opinions are my own.        |
|================================================================|
|"A dog will eat pretty much anything; one major reason why there|
|are no restaurants for dogs is that the customers would eat the |
|menus." -- Dave Barry                                           |
\================================================================/

---

From: [email-masked]
Date: Thu, 21 Feb 2002 14:12:02 -0500

Doug/George, it is our understanding we can not register anything until it 
is an official draft.

Doug Royer <[email-masked]>
Sent by: [email-masked]
02/21/02 12:02
Please respond to "[email-masked]"

        To:     "[email-masked]" <[email-masked]>
        cc: 
        Subject:        Re: CAP: Consensus?: Who Sent The Counter?

George Babics wrote:
> 
> Given that this is no longer an issue for scheduling in CAP,
> since the problem was solved in iTIP, can we close this issue?

's not solved by iTIP at all. Frank made a proposal and
no one adopted it, no draft was written, no property registered,
that I can find.

I'll take what Frank said and send a 'registration' to this list.
It seems simple. It will be a 2445 registration with a note
on how it applies to iTIP.

PAT - BOB - Per 2445, We just register a new 2445 property
this way - correct? Or does it have to also be an accepted draft?
If no, then we will have to include this in CAP.

> George
> 
> Doug Royer wrote:
> >
> > George Babics wrote:
> > >
> > >   A while ago it was identified in CAP, that CUA is unable to
> > > identify who sent a COUNTER.
> > >
> > > Looking in the archives, this issue has already come up in iTIP
> > > and a consensus was reached.
> > >
> > >   The thread: http://www.imc.org/ietf-calendar/mail-archive/msg00709.html
> > >   The proposal: http://www.imc.org/ietf-calendar/mail-archive/msg00731.html
> > >   The consensus: http://www.imc.org/ietf-calendar/mail-archive/msg00751.html
> > >
> > >   Thus, I think it is no longer an issue for CAP.
> >
> > GREAT - I agree that we should adopt this this proposal.
> > It makes more sense that SEND-BY I proposed.

---

From: [email-masked]
Date: Fri, 22 Feb 2002 15:25:20 -0500

> If no, then we will have to include this in CAP.

The steps in Section 7.2 of  RFC 2445 are a bit wrong on how to do this. 
The actions for Section 7.2.1 shoud only occur after the other 7.2.x steps 
have been taken.  The order of progress should be nearly identical to that 
outlined in Section 7.3 Property Change Control.  Basically:

        1.           Define the change
        2.           Post the change
        3.           Allow a comment period
        4.           Submit the property for approval

(Section 7.2 essentially goes 4,1,2,3).  Frank had accepted the task of 
writing up some text but I dont think we'll see it any time soon.  Perhaps 
Doug or I can get something out to take care of this.

>since the problem was solved in iTIP, can we close this issue?

I would agree w/Doug that its still an issue (for iCalendar & iTIP as well 
as CAP) so it we shouldnt just remove it from the issues list until we 
have some text and discussion on it.  Otherwise we may forget it for 
another ~2 years...  Given the lack of disent to the the pseudo-proposal 
Frank posted I think it will be one of our less contenscious topics.

Bruce
===========================================================================
Bruce Kahn                                INet: 
[email-masked]
Messaging & Collaboration                 Phone: 978.399.6496
IBM Software Group                         FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...